package com.care.bigscreen.service;

import com.care.bigscreen.vo.BigScreenStationVO;
import com.care.bigscreen.vo.BigScreenStatisticsVO;

import java.util.List;


/**
 * @author stw
 * @version 1.0
 * @description 站点统计表接口实现类
 * @date 2021/05/20/19:41
 */
public interface StStationService {

    /**
     * 大屏统计查询
     * @return 搜索符合条件的大屏统计数据
     */
    BigScreenStatisticsVO selectBigScreenStatistics(Long stationId, Long orgId);
    /**
     * 大屏统计查询
     * @return 根据经纬度范围搜索符合条件的大屏统计数据
     */
    BigScreenStatisticsVO selectBigScreenStatisticsByLongitudeLatitude(String longitudeLeftUp,String latitudeLeftUp,String longitudeRightDown,String latitudeRightDown,Long orgId);

    /**
     * 站点列表查询
     */
    List<BigScreenStationVO> selectBigScreenStationList(Long orgId);

    /**
     * 站点列表用户数TOP5查询
     */
    List<BigScreenStationVO> selectBigScreenStationListOlderTop5(Long orgId);

    /**
     * 站点列表安全事件数TOP5查询
     */
    List<BigScreenStationVO> selectBigScreenStationListEventTop5(Long orgId);

}