package com.care.call.controller;


import com.care.call.entity.KoalaLoggerEntity;
import com.care.call.service.KoalaOutCallLogRecordService;
import com.care.util.JsonUtil;
import com.care.util.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author stw
 * @version 2.7.0 创建于 2019/7/15
 **/
@Api(value = "外呼操作-->考拉外呼日志记录", description = "外呼操作-->考拉外呼日志记录")
@RestController
@RequestMapping("/mcdcc/outcall/")
public class KoalaOutCallLogRecordController {
    private static final Logger logger = LogManager.getLogger(KoalaOutCallLogRecordController.class);

    @Autowired
    private KoalaOutCallLogRecordService koalaOutCallLogRecordService;

    @ApiOperation(value = "记录呼叫中心日志API", notes = "记录呼叫中心日志")
    @PostMapping(value = "/koala/addOptLog", produces = "application/json;charset=UTF-8", consumes = "application/json;charset=UTF-8")
    public Result addOptLog(@RequestBody KoalaLoggerEntity koalaLoggerEntity) {
        try {
            if (logger.isDebugEnabled()) {
                logger.debug(JsonUtil.toJson(koalaLoggerEntity));
            }
            koalaOutCallLogRecordService.addOptLog(koalaLoggerEntity);
        } catch (Exception e) {
            logger.error("记录日志接口异常，异常信息：" + e.getMessage());
        }
        return Result.success();
    }
}
